<?php
  ///////////////////////////////////////////////////
  //2012 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang.".php")) include "../lang/".$lang.".php";
     else include "../lang/ru.php";

  $title=$titlepage = $TEXT['pass-imp'];
  $helppage = "";

  require_once "../config.php";
  require_once "top.php";

  if($result2['administrator'] == 0) puterror2($TEXT['error-supp11']);

  if(empty($_GET['zh_str_id'])) puterror2($TEXT['error-zhurn1']);
  if(strlen($_GET['zh_str_id'])>11) puterror2($TEXT['error-zhurn2']);
  $_GET['zh_str_id'] = rep($_GET['zh_str_id']);
?>
  <title><?php echo $title; ?></title>
  <link rel="StyleSheet" type="text/css" href="../utils/grid.css" />
  <link rel="shortcut icon" href="../Favicon/pass-keep.ico" type="image/x-icon" />
  </head>
  <body leftmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bottommargin="0" topmargin="0" >
<?php
  if(!isset($button)) $button = $TEXT['pass-use'];
  if(!isset($action)) $action = "know_import.php";
?>
<table class="tabledata" align="center">
  <tr><td class="z1"><?php echo $titlepage; ?></td></tr>
</table>
<br />
<form enctype='multipart/form-data' name='form' action=<?php echo $action; ?> method=post>
<table class="tabledata" align="center" border="0">
 <tr><td><input type=file name=impfl /></td></tr>
<tr>
    <td align="left" >
        <input class="button" type=submit value='<?php echo $button; ?>' />
        <input type=hidden name=zh_str_id value='<?php echo $_GET['zh_str_id']; ?>' />
    </td>
</tr>
</table>
</form>
</body>
</html>